### Function

# Gimp color_parse_name

#### Declaration [src]

    GeglColor*
    gimp_color_parse_name (
      const gchar* name
    )

#### Description [src]

Attempts to parse a color name. This function accepts SVG 1.1 color keywords.

#### Parameters

`name`

  Type: `const gchar*`

  A color name (in UTF-8 encoding).

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GeglColor`

A sRGB color as defined in “4.4. Recognized color keyword names” list of SVG 1.1 specification, if `name` was parsed successfully, `NULL` otherwise.

The caller of the function takes ownership of the data, and is responsible for freeing it.